import parseArgs from 'minimist';
import { tryResolveFilePath } from './node.js';
const argResolvers = {
    'ts-node': parsed => [parsed._[0], parsed.require].flat(),
    tsx: parsed => parsed._.filter(p => p !== 'watch'),
    default: parsed => [parsed.require].flat(),
};
export const resolve = (binary, args, { cwd }) => {
    const parsed = parseArgs(args, { string: ['r'], alias: { require: ['r', 'loader'] } });
    const resolver = argResolvers[binary] ?? argResolvers.default;
    const resolve = resolver(parsed);
    return [binary, ...resolve.flatMap(specifier => tryResolveFilePath(cwd, specifier))];
};
